#!/usr/bin/env python
# -*- coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from __future__ import print_function
from __future__ import unicode_literals
from __future__ import absolute_import
from __future__ import division

from django import forms

from project.forms.fields.extras.share import SelectShareField

from .. import base


class _SharedfolderField(SelectShareField):
    def __init__(self, *args, **kwargs):
        kwargs['label'] = kwargs.get('label', '共有フォルダー')
        super(_SharedfolderField, self).__init__(*args, **kwargs)


class _SubfolderField(forms.CharField):
    def __init__(self, *args, **kwargs):
        kwargs['label'] = kwargs.get('label', 'サブフォルダー')
        super(_SubfolderField, self).__init__(*args, **kwargs)


class Form(base.BaseForm):
    def __init__(self, *args, **kwargs):
        super(Form, self).__init__(*args, **kwargs)
        self.fields['sharename'] = _SharedfolderField()
    subdir = _SubfolderField(required=False)
